/*
* Distributed Computational System
* Portability Include
*
* $Id: port.h,v 1.3 2001/11/29 18:33:30 kris Exp $
*/

#ifndef _PORT_H
#define _PORT_H

#ifdef _WIN32
	#include <io.h>

	#define ERRNO WSAGetLastError()

	#undef EAGAIN
	#undef EINTR
	#undef EWOULDBLOCK
	#undef EINPROGRESS
	#define EAGAIN WSAEWOULDBLOCK
	#define EINTR WSAEINTR
	#define EWOULDBLOCK WSAEWOULDBLOCK
	#define EINPROGRESS WSAEINPROGRESS

	#define INADDR_ERR INADDR_NONE
	#ifdef COMPILING_DLL
		#define DLLEXPORT __declspec(dllexport)
	#else
		#define DLLEXPORT __declspec(dllimport)
	#endif
	#define read(a,b,c) recv(a,b,c,0)
	#define write(a,b,c) send(a,b,c,0)
	#define close(a) closesocket(a)
#else
	#define ERRNO errno
	#define INADDR_ERR -1
	#define DLLEXPORT
#endif

#endif /* _PORT_H */
